function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import FormElements from '../../FormElements';

const addressField = props => {
  const {
    fields
  } = props.describe;
  const roleOrder = ['route', 'locality', 'administrative_area_level_1', 'postal_code', 'country'
  /* , 'lat', 'lng', 'accuracy' */
  ];
  const newFields = fields.slice().filter(f => roleOrder.includes(f.role)).sort((a, b) => roleOrder.indexOf(a.role) - roleOrder.indexOf(b.role));
  const childFields = React.createElement(FormElements, _extends({
    columns: 1,
    onFormLoad: () => null
  }, props, {
    describe: _objectSpread({}, props.describe, {
      fields: newFields
    })
  }));
  return childFields;
};

export default addressField;