export default function toString(value) {
  const {
    street,
    city,
    state,
    postalCode,
    country
  } = value || {};
  return address`${street}, ${city}, ${state} ${postalCode} ${country}`;
}

function address(strings, street, city, state, postalCode, country) {
  let [lead, streetSpace = '', citySpace = '', stateSpace = '', postalSpace = ''] = strings;
  street = street || '';
  city = city || '';
  state = state || '';
  postalCode = postalCode || '';
  country = country || '';
  if (!street) streetSpace = '';
  if (!city) citySpace = '';
  if (!postalCode) stateSpace = '';
  if (!country) postalSpace = '';
  return `${street}${streetSpace}${city}${citySpace}${state}${stateSpace}${postalCode}${postalSpace}${country}`;
}