import { DateTime } from 'luxon';
export default (describe => (value, values) => {
  const startDate = values[describe.fields[0].name];
  const endDate = values[describe.fields[1].name];

  if (startDate && endDate && DateTime.fromISO(startDate) > DateTime.fromISO(endDate)) {
    return ['err::rangeMustBeSequential'];
  }
});
export const validateOnChange = false;
export const validateOnBlur = false;