import React from 'react';
import Typography from '@material-ui/core/Typography';

const TableCellEmail = ({
  value
}) => {
  return React.createElement(Typography, {
    variant: "body1",
    noWrap: true,
    style: {
      textOverflow: 'ellipsis',
      overflow: 'hidden'
    }
  }, React.createElement("a", {
    href: `mailto:${value}`,
    target: "_top"
  }, value));
};

export default TableCellEmail;