import isEmail from 'validator/lib/isEmail';
import validationString from '../string/validation';
export default (describe => value => {
  const errors = validationString(describe)(value) || [];

  if (value && !isEmail(value.trim())) {
    errors.push('err::invalidEmail');
  }

  return errors.length ? errors : null;
});
export const validateOnChange = false;