import React from 'react';
import Typography from '@material-ui/core/Typography';

const TableCellRichTextArea = ({
  value
}) => {
  const val = value.replace(/<.*?>/g, '').replace(/\\n/g, ' ');
  return React.createElement(Typography, {
    variant: "body1",
    noWrap: true,
    style: {
      textOverflow: 'ellipsis',
      overflow: 'hidden'
    }
  }, val);
};

export default TableCellRichTextArea;