export default (describe => value => {
  const errors = [];

  if (describe.nillable === false && !value && value !== 0) {
    errors.push('err::required');
  }

  if (value && describe.length && describe.length < value.length) {
    errors.push('err::max_length');
  }

  return errors.length ? errors : null;
});