import React from 'react';
import Typography from '@material-ui/core/Typography';

const TableCellString = ({
  describe,
  value
}) => {
  return React.createElement(Typography, {
    variant: "body1",
    noWrap: true,
    style: {
      textOverflow: 'ellipsis',
      overflow: 'hidden'
    }
  }, value);
};

export default TableCellString;