import React from 'react';
import Typography from '@material-ui/core/Typography';

const TableCellUrl = ({
  value
}) => {
  return React.createElement(Typography, {
    variant: "body1",
    noWrap: true,
    style: {
      textOverflow: 'ellipsis',
      overflow: 'hidden'
    }
  }, React.createElement("a", {
    href: value,
    rel: "noopener noreferrer",
    target: "_blank"
  }, value));
};

export default TableCellUrl;