import React from 'react';
import { withFormState } from 'informed';
import DisplayContainer from '../../utils/DisplayContainer';

const BooleanDisplay = ({
  formState,
  describe,
  svgHeight,
  xsLength
}) => {
  const {
    values
  } = formState;
  const {
    name,
    label
  } = describe; // const description = values[name] != null ? values[name].toString() : 'Indeterminate'

  const description = (!!values[name]).toString();
  return React.createElement(DisplayContainer, {
    title: label,
    description: description,
    svgHeight: svgHeight,
    xsLength: xsLength
  });
};

export default withFormState(BooleanDisplay);