import React from 'react';
import Typography from '@material-ui/core/Typography';

const TableCellBoolean = ({
  value
}) => {
  const val = value != null ? value.toString() : null;
  return React.createElement(Typography, {
    variant: "body1",
    noWrap: true,
    style: {
      textOverflow: 'ellipsis',
      overflow: 'hidden'
    }
  }, val);
};

export default TableCellBoolean;