import React from 'react';
import { withFormState } from 'informed';
import DisplayContainer from '../../utils/DisplayContainer';

const ColorDisplay = ({
  formState,
  describe,
  svgHeight,
  xsLength
}) => {
  const {
    values
  } = formState;
  const {
    name,
    label
  } = describe;
  return React.createElement(DisplayContainer, {
    title: label,
    description: values[name],
    svgHeight: svgHeight,
    xsLength: xsLength
  });
};

export default withFormState(ColorDisplay);