import { default as datetimeToString } from '../datetime/toString';
export default function toString(value, format) {
  const [start, end] = value;
  return range`${datetimeToString(start, format)} - ${datetimeToString(end, format)}`;
}

function range(strings, start, end) {
  let [lead, space = ' - '] = strings;
  start = start || '';
  end = end || '';
  if (!end) space = '';
  return `${start}${space}${end}`;
}