export default (describe => value => {
  const errors = [];

  if (describe.nillable === false && !value && value !== 0) {
    errors.push('err::required');
  }

  const val = parseFloat(value); // if (value && !parseFloat(value)) {errors.push('err:invalid_number')}

  const decimal = val && val.toString().split('.')[1];

  if (decimal && decimal.length > describe.scale) {
    errors.push('err::invalidScale');
  }

  const precision = describe.precision - describe.scale >= 1 ? describe.precision - describe.scale : undefined;

  if (val && val.toPrecision(precision).match(/e/)) {
    errors.push('err::invalidPrecision');
  }

  return errors.length ? errors : null;
});
export const validateOnChange = false;