import React from 'react';
import Typography from '@material-ui/core/Typography';

const TableCellMultipicklist = ({
  value
}) => {
  let val = '';

  if (value && value.length) {
    val = Array.isArray(value) ? value.sort().join(', ') : value.replace(';', ', ');
  }

  return React.createElement(Typography, {
    variant: "body1",
    noWrap: true,
    style: {
      textOverflow: 'ellipsis',
      overflow: 'hidden'
    }
  }, val);
};

export default TableCellMultipicklist;