import React from 'react';
import IconButton from '@material-ui/core/IconButton';
import Tooltip from '@material-ui/core/Tooltip';

class StyleButton extends React.Component {
  constructor() {
    super();

    this.onToggle = e => {
      e.preventDefault();
      this.props.onToggle(this.props.style);
    };
  }

  render() {
    // if (this.props.active) {
    // }
    return React.createElement(Tooltip, {
      id: "tooltip-icon",
      title: this.props.label,
      placement: "top"
    }, React.createElement(IconButton, {
      style: {
        color: this.props.active ? 'black' : ''
      },
      onMouseDown: this.onToggle
    }, this.props.icon));
  }

}

export default StyleButton;