import React from 'react';
import Grid from '@material-ui/core/Grid';
import FilterDropdownSelect from './FilterDropdownSelect';

const FilterFieldContainer = ({
  t,
  filterType,
  children,
  filterChange,
  filterList
}) => {
  return React.createElement(Grid, {
    container: true,
    spacing: 0,
    alignItems: "flex-end"
  }, React.createElement(Grid, {
    item: true,
    xs: 11
  }, children), React.createElement(Grid, {
    item: true,
    xs: 1
  }, React.createElement(FilterDropdownSelect, {
    t: t,
    selected: filterType,
    filterChange: filterChange,
    filterList: filterList
  })));
};

export default FilterFieldContainer;